sampler2D inputTexture : register(s0);

float4 PS( float2 uv : TEXCOORD) : COLOR
{
	float4 color = tex2D(inputTexture, uv);	
	float4 inverted_color = 1 - color;
	if(color.a == 1)
		color.rgb = 1;
	inverted_color.a = color.a / 3;
	inverted_color.rgb *= inverted_color.a;

    return inverted_color; 
}